Description

In our setup, our users are in LDAP, with onthefly creation enabled.

The standard workflow for inviting a new member into a project is rather awkward:

1. Send mail to invite the user with request to login once

2. That user logs in

3. Wait for that user's acknowledgement mail

4. Add the user to the project

This patch allows the following simplified procedure:

1. Add new user directly in the member screen to the project

2. Notify the user

You now can enter a login name from any onthefly LDAP source in the settings/members search box, select a role, and click "add" to

have everything happen at once. For larger group additions, you can even add multiple names separated by whitespace. This is

IMHO the most straightforward way to add new users, although it might not be obvious to first-time users.

The code is not the nicest and user feedback is minimal, but it fulfills the purpose. Feel free to adapt it.

Related issues:

Related to Redmine - Patch #4755: Create and maintain groups from LDAP attrib... New 2010-02-08

History

#1 - 2010-01-24 01:52 - Holger Just

Your patch is also rather... minimal :)

#2 - 2010-01-24 21:15 - Marcel Waldvogel

Holger Just wrote:

Your patch is also rather... minimal :)

 Sure, especially after removing my logger events. Be aware that I am not a senior Rails expert (yet :-)).

To my defence, I basically do consider my patch to be in line with the member addition UI, whose error visualisation is minimal (just entering a name

and not selecting a user or not selecting a role will not give any visual feedback. Therefore, I would not know how to integrate this function into the

code.

However, if there you could give me concrete advice how to improve the code, I would be glad to try and implement it.

#3 - 2010-01-25 00:14 - Holger Just

Marcel Waldvogel wrote:

However, if there you could give me concrete advice how to improve the code, I would be glad to try and implement it.

 Well, I think the first step on improvement would be to upload the actual patch. Your attachment consists only of 9 random chars. Like I said: rather

minimal :)

#4 - 2010-01-25 00:54 - Marcel Waldvogel

- File member-onthefly-somewhat-more-elaborate-SMILE.patch added
Oh, I did not take the comment as serious as I should have. In fact, this was my submission for the Obfuscated Rails Coding Contest :-). Here's the

real thing:

#5 - 2010-02-08 01:37 - Marcel Waldvogel

This patch has been superseded by #4755 (nicer code and also LDAP group support)

#6 - 2010-02-09 19:31 - Marcel Waldvogel

- Status changed from New to Resolved

#7 - 2013-01-13 23:19 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

Files

member-onthefly.patch 9 Bytes 2010-01-23 Marcel Waldvogel

member-onthefly-somewhat-more-elaborate-SMILE.patch 4.5 KB 2010-01-24 Marcel Waldvogel
